Workflows Service, REST: Workflow.ListOperations
Lists operations for specified Workflow.
HTTP request
GET https://serverless-workflows.api.cloud.yandex.net/workflows/v1/workflow/{workflowId}/operations
Path parameters
|
Field |
Description |
|
workflowId |
string Required field. ID of the Workflow to list operations for. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page that should be returned. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
|
filter |
string A filter expression that filters resources listed in the response.
The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"operations": [
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
operations[] |
List of operations for the specified Workflow. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
Operation
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code. |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |